/*
    (C) 2002 MorphOS The MorphOS Development Team, All Rights Reserved.
    $Id: mempool.h,v 1.1.1.1 2005/03/15 15:54:23 laire Exp $
 
    Desc:
    Lang: english
*/

#ifndef __MEMPOOL_H__
#define __MEMPOOL_H__

#include <exec/types.h>
#include <exec/execbase.h>

#if defined(__GNUC__)
# pragma pack(2)
#endif

BOOL poolCreate(struct ExecBase *SysBase, APTR *PoolPtr,
                ULONG attributes, ULONG puddleSize, ULONG threshSize);
void poolDelete(APTR *PoolPtr);

APTR poolAllocMem(APTR __Pool, ULONG byteSize, ULONG attributes);
void poolFreeMem(APTR __Pool, APTR memoryBlock, ULONG byteSize);
APTR poolAllocVec(APTR __Pool, ULONG byteSize, ULONG attributes);
void poolFreeVec(APTR __Pool, APTR memoryBlock);

#if defined(__GNUC__)
# pragma pack()
#endif

#endif /* __MEMPOOL_H__ */
